<s:div xmlns:ui="http://java.sun.com/jsf/facelets"
       xmlns:a4j="http://richfaces.org/a4j" xmlns:h="http://java.sun.com/jsf/html"
       xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:f="http://java.sun.com/jsf/core"
       xmlns:g="http://www.ihe.net/gazelle" xmlns="http://www.w3.org/1999/xhtml"
       template="/layout/template.xhtml">
    <s:div id="generatedSpecPatientInformation"
           rendered="#{ (not empty currentPatientVariable) and (currentPatientVariable != null) }">
        <ui:decorate template="/layout/panels/_panel_title.xhtml">
            <ui:define name="panel_title">
                <h:outputText value="#{messages['gazelle.dds.PatientPersonnalInformation']}"/>
            </ui:define>
            <f:subview id="subview_1">
                <ui:include src="/patient/basicPatientInformation.xhtml">
                    <ui:param name="currentPatientVariable" value="#{currentPatientVariable}"/>
                </ui:include>
            </f:subview>
            <s:div id="FutherInformation"
                   rendered="#{(currentPatientVariable.person.otherNameList != null and (not empty currentPatientVariable.person.otherNameList)) or      (currentPatientVariable.person.getDateOfDeath() != null)}">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.dds.FutherInformation']}"/>
                    </ui:define>
                    <!-- Other name -->
                    <a4j:repeat value="#{currentPatientVariable.person.otherNameList}" var="otherName">
                        <f:subview id="subview_2">
                            <ui:include src="/patient/otherName.xhtml">
                                <ui:param name="curentOtherName" value="#{otherName}"/>
                            </ui:include>
                        </f:subview>
                    </a4j:repeat>
                    <!-- Dead Information -->
                    <a4j:region rendered="#{currentPatientVariable.person.getDateOfDeath() != null}">
                        <h3>#{messages['gazelle.dds.DeadPatient']}</h3>
                    </a4j:region>
                    <a4j:region rendered="#{currentPatientVariable.person.getDateOfDeath() != null}">
                        <s:decorate template="/layout/display/_display.xhtml">
                            <ui:define name="label">#{messages['gazelle.dds.DateOfDeath']}</ui:define>
                            <g:date value="#{currentPatientVariable.person.dateOfDeath.time}"/>
                        </s:decorate>
                    </a4j:region>
                </ui:decorate>

            </s:div>
            <s:div id="MotherInformation"
                   rendered="#{(currentPatientVariable.motherPatient != null and currentPatientVariable.motherPatient.person != null)}">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.dds.InformationAboutTheNewBornMother']}"/>
                    </ui:define>
                    <!-- Mother information for new Born -->
                    <f:subview id="subview_3">
                        <ui:include src="/patient/basicPatientInformation.xhtml">
                            <ui:param name="currentPatientVariable" value="#{currentPatientVariable.motherPatient}"/>
                        </ui:include>
                    </f:subview>
                    <a4j:repeat value="#{currentPatientVariable.motherPatient.person.otherNameList}" var="otherName">
                        <f:subview id="subview_4">
                            <ui:include src="/patient/otherName.xhtml">
                                <ui:param name="curentOtherName" value="#{otherName}"/>
                            </ui:include>
                        </f:subview>
                    </a4j:repeat>
                </ui:decorate>
            </s:div>
            <s:div rendered="#{(!patientGenerator.addressOption.equals('None'))}">
                <s:decorate template="/layout/panels/_panel_title.xhtml"
                            rendered="#{currentPatientVariable.address.size()&gt;0}">
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.dds.PatientAddressDetails']}"/>
                    </ui:define>
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['gazelle.dds.Street']}</ui:define>
                        <h:outputText value="#{currentPatientVariable.address.get(0).street.value}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['gazelle.dds.City']}</ui:define>
                        <h:outputText value="#{currentPatientVariable.address.get(0).city.value}"/>

                    </s:decorate>
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['gazelle.dds.State']}</ui:define>
                        <h:outputText value="#{currentPatientVariable.address.get(0).state.name}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['gazelle.dds.PostalCode']}</ui:define>
                        <h:outputText value="#{currentPatientVariable.address.get(0).postalCode}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['gazelle.dds.Country']}</ui:define>
                        <h:outputText value="#{currentPatientVariable.country.name}"/>
                    </s:decorate>
                </s:decorate>
            </s:div>
        </ui:decorate>
    </s:div>
</s:div>
